import { NotificationService } from "../../../domain/services/Notification.service";
declare const _default: {
    name: string;
    props: {
        url: {
            type: StringConstructor;
            default: string;
        };
        taskLisk: any[];
    };
    data: () => {
        eventSource: {
            new (url: string | URL, eventSourceInitDict?: EventSourceInit): EventSource;
            prototype: EventSource;
            readonly CLOSED: number;
            readonly CONNECTING: number;
            readonly OPEN: number;
        };
        countNotifications: number;
        notifications: any[];
        showNotifications: boolean;
        localStorage: {
            new (): Storage;
            prototype: Storage;
        };
        notificationService: NotificationService;
    };
    mounted(): Promise<void>;
    methods: {
        connectToSSE(): void;
        onClick(): void;
        showLinkIcon(status: String): boolean;
        showDetailJob(jobId: String, typeTask: string): void;
    };
    computed: {
        notificationList(): any;
        countNotificationsUnread(): any;
    };
};
export default _default;
